Subject: Re: FVWM: Re: [...] Applied patch from Brad to fix empty function args

From: Dan Espen <[email-masked]>
Date: Tue, 25 May 1999 13:54:00 -0400

Brad Giaccio <[email-masked]> writes:
> That was my mistake I should have sent that patch
> to the workers-list, If you want to try the alpha
> code just to make sure it works. you can grab
> ftp://ftp.fvwm.org/pub/fvwm/devel/snapshots/fvwm-snap-19990525.tar.gz
> 
> Unfortunatelly the function I patched was moved to a different file
> between 2.2.x and 2.3.x, if you could check the snapshot and see if that
> fixes your problem then I'll rework my patch for the 2.2.x series.
> 
> Brad
> 
> On Tue, May 25, 1999 at 10:40:25AM -0400, David S. Goldberg wrote:
> 
> > Brad's patch doesn't apply to the functions.c in 2.2.  Poking around,
> > I see there's a 2.2.1.  Why doesn't the web page show that as the
> > "stable" version?  Anyway, what's the best way for me to get at an
> > fvwm with the applied fix.  A snapshot (which one?) or the latest
> > 2.3.X?  I'm not afraid of working with alpha code although I'm
> > probably not able to help out as much as I tried to in the early 2.0.X
> > development.

Its  my understanding   that  we never    came up  with  an officially
announced  2.2.1.  I  think   the  whole  thing   is waiting  for   an
"announcement" mail to be composed.

I propose  that after we   acquire this patch, we go   to 2.2.2.  I'll
volunteer  to create the 2.2 ->  2.2.2  announcement.  (This time I'll
stuff it in   the NEWS file  for good  measure.)  I  have this nagging
feeling that  there  was something else   that  came up  recently that
belongs in 2.2.2.  Any other candidates?

I'm pretty busy, so I can't make any time commitments.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: "Charles Hines" <[email-masked]>
Date: Tue, 25 May 1999 14:05:09 -0400 (EDT)

>>>>> "Dan" == Dan Espen <[email-masked]> writes:

Dan> Its  my understanding   that  we never    came up  with  an officially
Dan> announced  2.2.1.  I  think   the  whole  thing   is waiting  for   an
Dan> "announcement" mail to be composed.

Dan> I propose  that after we   acquire this patch, we go   to 2.2.2.  I'll
Dan> volunteer  to create the 2.2 ->  2.2.2  announcement.  (This time I'll
Dan> stuff it in   the NEWS file  for good  measure.)  I  have this nagging
Dan> feeling that  there  was something else   that  came up  recently that
Dan> belongs in 2.2.2.  Any other candidates?

I'd like to recommend the fix for click to focus windows losing focus when
being dragged from one page to another.  I saw it made it into 2.3.x at
some point, but not into 2.2.x.

Chuck

--
Charles K. Hines <[email-masked]> <[email-masked]>
IBM Logic Synthesis Developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis and Balintawak Escrima]

         "Go back to sleep, Chuck.  You're just havin' a nightmare
             -- of course, we ARE still in Hell." (Gary Larson)
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Tue, 25 May 1999 16:09:59 -0400

> some point, but not into 2.2.x.

Sounds good to me, providing the fix author is confident the patch can
be  applied without destabilizing the 2.2  branch.  Bear in mind, this
2.2 patch branch  is not getting  the kind of  testing thats gone into
2.2 itself.

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 26 May 1999 12:19:21 -0600

> 2.2 patch branch  is not getting  the kind of  testing thats gone into

Would you believe me that I don't even know for sure *if* I fixed this
bug, let alone *how* it was fixed. After fixing 100 bugs or so you lose
track of the individual ones a bit :-|

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Wed, 26 May 1999 08:04:21 -0400

Dominik Vogt <[email-masked]> writes:
> > > I'd like to recommend the fix for click to focus windows losing focus
> > > when being dragged from one page to another.  I saw it made it into 2.3.x
> > > at some point, but not into 2.2.x.
> > 

With all  the work  you've  been doing I  wouldn't  be the  least  bit
surprised.  Baring further   developments, it looks like Brad's  empty
args patch is ready, and the NEWS file update is in progress...

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 28 May 1999 02:33:14 +0200

> > some point, but not into 2.2.x.

Heck, I can't remember that bug, but most likely I fixed it. Do you have any
idea when or how this happened?

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]